---
title: Online Multi-Agent Path Planning in Runaway Scenarios
author: Lesur, Paul & Bajcinca, Naim
date: '2022-09-01'
publications:
 - sgmapf
---

# Online Multi-Agent Path Planning in Runaway Scenarios

Not yet accepted / published

## Authors

Lesur, Paul & Bajcinca, Naim

## Abstract

In this work we present a real-time capable algorithm for solving path planning
problems for the application of Runaway Scenarios. In such applications, a main agent has to follow
a path, and other secondary agents should create space for the main agent,
without colliding with one another. Our algorithm uses a low-level path planner,
similar to what can be found in the literature for the problem of Multi-Agent
Path Finding (MAPF), and combines it with our novel Planner Scheduler, a
high-level scheduler that allows us to find a sub-optimal solution quickly.

## Results

One can find the detailed results (numbers and animations) [here](../../runaway_planning/results).
